%define dist DBI
Name: perl-%dist
Version: 1.43
Release: alt1

Summary: Database independent interface for Perl
Group: Development/Perl
License: GPL or Artistic

Url: %CPAN %dist
Source: %dist-%version.tar.bz2

# don't look for previous installations
Patch0: %name-1.37-alt-buildreq.patch
# install Changes.pod, not Changes.pm
Patch1: %name-1.37-alt-changes-pod.patch

# Automatically added by buildreq on Tue Jul 06 2004
BuildRequires: perl-DBD-Pg perl-DBD-mysql perl-DBM perl-MLDBM perl-Net-Daemon perl-PlRPC perl-Storable perl-devel

%add_findreq_skiplist */Apache.pm */W32ODBC.pm

Summary(ru_RU.CP1251):       Perl

%description
The DBI is a database access module for the Perl program-
ming language.  It defines a set of methods, variables,
and conventions that provide a consistent database inter-
face, independent of the actual database being used.

%description -l ru_RU.CP1251
DBI -          Perl.
    ,    
      ,  
  .

%prep
%setup -q -n %dist-%version
%patch0 -p1
%patch1 -p1

%build
%ifdef __BTE
: fails when syslog is not available
%__rm -fv t/80proxy.t
%endif

: create that magic dir to enable excessive testing
%__mkdir_p .svn

%perl_vendor_build

%install
%perl_vendor_install

%files
%_bindir/dbi*
%perl_vendor_archlib/DBI*
%perl_vendor_autolib/DBI
%perl_vendor_archlib/Bundle
%perl_vendor_archlib/DBD
%perl_vendor_archlib/Win32
%perl_vendor_man1dir/*
%perl_vendor_man3dir/*
%doc Changes README ToDo

%changelog
* Tue Jul 06 2004 Alexey Tourbin <at@altlinux.ru> 1.43-alt1
- 1.42 -> 1.43

* Sun Mar 14 2004 Alexey Tourbin <at@altlinux.ru> 1.42-alt1
- 1.42
- create .svn magic dir to enable excessive testing
- test base extended (BuildRequires: perl-DBM perl-MLDBM)

* Wed Feb 25 2004 Alexey Tourbin <at@altlinux.ru> 1.41-alt1
- 1.41

* Sat Feb 07 2004 Alexey Tourbin <at@altlinux.ru> 1.40-alt1
- 1.40

* Sun Nov 30 2003 Alexey Tourbin <at@altlinux.ru> 1.39-alt1
- 1.39

* Mon Sep 08 2003 Alexey Tourbin <at@altlinux.ru> 1.38-alt1
- 1.38
- test base extended (BuildRequires: perl-DBD-Pg perl-DBD-mysql)
- t/80proxy.t test disabled

* Sat Jun 21 2003 Alexey Tourbin <at@altlinux.ru> 1.37-alt1
- 1.37
- alt-changes-pod.patch: install Changes.pod rather than Changes.pm
- alt-buildreq.patch: don't look for previous DBI installations
- buildreq applied (t/80proxy.t test skipped under buildreq)

* Mon Apr 28 2003 Alexey Tourbin <at@altlinux.ru> 1.35-alt1
- 1.35 (memory leak fixed, misc. fixes and updates)

* Wed Mar 05 2003 Alexey Tourbin <at@altlinux.ru> 1.34-alt1
- 1.34 (see Changelog)
- ignore perl(Apache.pm) dependency

* Fri Oct 25 2002 Alexey Tourbin <at@altlinux.ru> 1.25-alt2
- rebuilt for perl-5.8 with new rpm macros

* Fri Jun 14 2002 Stanislav Ievlev <inger@altlinux.ru> 1.25-alt1
- 1.25

* Thu Mar 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.21-alt1
- 1.21

* Mon Jul 23 2001 Stanislav Ievlev <inger@altlinux.ru> 1.14-ipl7mdk
- Rebuilt with new perl again

* Mon Jun 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.14-ipl6mdk
- Rebuilt with perl-5.6.1

* Sun Mar 18 2001 Mikhail Zabaluev <zabaluev@parascript.com> ipl5mdk
- Spec file cleanup
- Updated descriptions and URL
- Enhanced filelist, added binaries

* Sun Jan 21 2001 Alexander Bokovoy <ab@avilink.net> ipl4mdk
- Rebuild from scratch using MZh's spec skeleton file
